GCLOUD_DATAPROC_JOBS_SUBMIT_HIVE(1)

NAME

gcloud dataproc jobs submit hive - submit a Hive job to a cluster

SYNOPSIS

gcloud dataproc jobs submit hive --cluster=CLUSTER (--execute=QUERY, -e QUERY | --file=FILE, -f FILE) [--async] [--bucket=BUCKET] [--continue-on-failure] [--jars=[JAR,...]] [--labels=[KEY=VALUE,...]] [--params=[PARAM=VALUE,...]] [--properties=[PROPERTY=VALUE,...]] [GLOBAL-FLAG ...]

DESCRIPTION
Submit a Hive job to a cluster.

REQUIRED FLAGS

    --cluster=CLUSTER
        The Dataproc cluster to submit the job to.

Exactly one of these must be specified:

    --execute=QUERY, -e QUERY
        A Hive query to execute as part of the job.

    --file=FILE, -f FILE
        HCFS URI of file containing Hive script to execute as the job.

OPTIONAL FLAGS

    --async
        Does not wait for the job to run.

    --bucket=BUCKET
        The Cloud Storage bucket to stage files in. Defaults to the cluster's configured bucket.

    --continue-on-failure
        Whether to continue if a single query fails.

    --jars=[JAR,...]
        Comma separated list of jar files to be provided to the Hive and MR. May contain UDFs.

    --labels=[KEY=VALUE,...]
        A list of label KEY=VALUE pairs to add.

    --params=[PARAM=VALUE,...]
        A list of key value pairs to set variables in the Hive queries.

    --properties=[PROPERTY=VALUE,...]
        A list of key value pairs to configure Hive.

GLOBAL FLAGS
Run $ gcloud help for a description of flags available to all commands.

EXAMPLES
To submit a Hive job with a local script, run:
    $ gcloud dataproc jobs submit hive --cluster my_cluster \
        --file my_queries.q
To submit a Hive job with inline queries, run:
    $ gcloud dataproc jobs submit hive --cluster my_cluster \
        -e \
        "CREATE EXTERNAL TABLE foo(bar int) LOCATION\
     'gs://my_bucket/'" -e "SELECT * FROM foo WHERE bar > 2"